From 02d85bf632e808a54bbd6d06516d484a40587e7c Mon Sep 17 00:00:00 2001
From: "Cook, Malcolm" <MEC@stowers.org>
Date: Thu, 2 May 2024 15:43:05 -0500
Subject: [PATCH] doc-command-line-upgrade

---
 doc/org-manual.org | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

diff --git a/doc/org-manual.org b/doc/org-manual.org
index d66d95a22..365017d3b 100644
--- a/doc/org-manual.org
+++ b/doc/org-manual.org
@@ -119,6 +119,23 @@ You need to do this in a session where no =.org= file has been
 visited, i.e., where no Org built-in function have been loaded.
 Otherwise autoload Org functions will mess up the installation.
 #+end_quote
+*** Upgrading installed org-mode using Emacs packaging system from the command-line
+:PROPERTIES:
+:CUSTOM_ID: notoc
+:END:
+
+The Emacs packaging system can be used to upgrade an org-mode
+installation from linux command-line by running emacs in batch mode:
+
+#+begin_src sh
+EMACS=emacs # you may prefer to be more specific - e.g. /usr/local/bin/emacs
+EMACSQBE="${EMACS} -Q -batch -eval"
+${EMACSQBE} "(progn (require 'package) (package-initialize) (package-refresh-contents) (package-upgrade 'org))"
+#+end_src
+
+This approach has the advantage of isolating the upgrade process from
+a running emacs session, ensuring that version conflicts can not
+arise.
 
 *** Using Org's git repository
 :PROPERTIES:
-- 
2.39.3

